⌘K

Kirin V2.1 Master - Text to Video

kirin_v2_1_master_t2v

High-speed image-to-video generation optimized for rapid iteration and production.

API Notes

kirin_v2_1_master_t2v generates videos at 1080p resolution with 24fps frame rate.

Authentication

authorization string required

All APIs require authentication via Bearer Token.

Get API Key:

Visit API Key Management Page to get your API Key.

Usage:

Add to request header:

Authorization: Bearer YOUR_API_KEY

Parameters

model string required

Model ID to use for the request

Options: kirin_v2_1_master_t2v


prompt string required

Video generation prompt, length between 1 - 2500 characters


aspect_ratio string

Video aspect ratio

Options: 16:9, 9:16, 1:1

Default: 16:9


duration string

Video duration in seconds

Options: 5, 10


watermark_info array

Whether to generate results with watermarks simultaneously

Defined via the enabled parameter, specific format as follows:

"watermark_info": {
  "enabled": boolean // true for generation, false for no generation
}

Custom watermarks are not currently supported


callback_url string

Callback notification address for this task result. If configured, the server will actively notify when the task status changes


external_task_id string

Custom task ID

User-defined task ID, will not overwrite the system-generated task ID when provided, but supports task query via this ID

Please note that uniqueness must be ensured under a single user


Polling

Since video generation takes time, you need to poll the task status after creation

The initial response returns the task ID and initial status. The actual generation results must be obtained through polling the task status endpoint

Response Format

error object

Error information. Only present when status is failed.

code string

Error code

error_message string

Detailed error message


output array

Generation results. Only present when status is completed.

content array

List of generated content

type string

Resource type, e.g., video, image

url string

Generated content URL

size string

Image size


usage object

Usage statistics. Only present when status is completed.

cost string

Total cost in USD

discount number

Discount amount


metadata object

Metadata information


Error Codes

Error CodeDescription
002008095Internal generation error
002008096Result parsing error
002008097HTTP error response
002008098Status check error
002008099Task creation error